Subject: RE: Linux 2.6 from git.xilinx and XUPV2P

From: greenlean <[email-masked]>
Date: Thu, 13 Dec 2007 01:15:22 -0800 (PST)

I'm going to generate the kernel using the file generated by EDK, and if I
still have the same problem I'll tell you, maybe the problem is realted with
the xparamters configuration file, I don't want to waste your time. 

I think I should change my category from beginner to beginest .. :)

I'm not sure how to use objdump or better what to search in the elf file,
but I've used readelf to extract some info:

$ppc_4xx-readelf -h zImage.elf 
ELF Header:
  Magic:   7f 45 4c 46 01 02 01 00 00 00 00 00 00 00 00 00 
  Class:                             ELF32
  Data:                              2's complement, big endian
  Version:                           1 (current)
  OS/ABI:                            UNIX - System V
  ABI Version:                       0
  Type:                              EXEC (Executable file)
  Machine:                           PowerPC
  Version:                           0x1
  Entry point address:               0x400000
  Start of program headers:          52 (bytes into file)
  Start of section headers:          1048856 (bytes into file)
  Flags:                             0x0
  Size of this header:               52 (bytes)
  Size of program headers:           32 (bytes)
  Number of program headers:         2
  Size of section headers:           40 (bytes)
  Number of section headers:         17
  Section header string table index: 14

Everything seems to be fine..... I really don't know.

Stephen Neuendorffer wrote:
> 
> The xparameters file is specific to your hardware design.
> You should change the name of the generated xparameters file to match
> xparameters_xupv2p.h 
> 
> Unfortunately, it's sort of an historical artifact that it was done this
> way...  In reality, all the different xparameters files should really
> just be one, since only one can be active at a time.
> 
> The last error sounds like you haven't actually generated an elf file?
> have you tried running objdump on it?
> 
> Steve
> 
>> -----Original Message-----
>> From: 
>> linuxppc-embedded-bounces+stephen=[email-masked]
>>  
>> [mailto:linuxppc-embedded-bounces+stephen=neuendorffer.name@oz
>> labs.org] On Behalf Of greenlean
>> Sent: Wednesday, December 12, 2007 9:05 AM
>> To: [email-masked]
>> Subject: Re: Linux 2.6 from git.xilinx and XUPV2P
>> 
>> 
>> 
>> 
>> greenlean wrote:
>> > 
>> > Thanks both for the response, I've allready visited some of 
>> the links. 
>> > 
>> > Yes, you was right it's easear than I think, my problem was 
>> the .config
>> > file. Now, I have generated it from ml300_defconfig and 
>> after some changes
>> > it compiles, but I've two question:
>> > 
>> >  * I've chosen as platform the XUPV2P in Machine Type, 
>> instead of ML300,
>> > so the xparameters file that I'm using is the 
>> xparameters_xupv2p.h, but
>> > the xparameters file generated by the EDK is 
>> xparameters_ml300 despite I
>> > told it to use XUPV2P, so I can't overwrite it... 
>> > 
>> > Should I use the xparameters_ml300 generated by EDK or the
>> > xparameters_xupv2p included in the git kernel tree?.  I 
>> can't compile with
>> > the edk's xparameters_ml300 file because there's some 
>> definition that the
>> > compiler can't find, so I'm using the xparameters_xupv2p.
>> > 
>> >  * Second, if I compile using the xparameters_xupv2p, when 
>> I do the dow
>> > command to download the image to the board, the xmd shell tell me:
>> >            
>> >    XMD% dow zImage.elf
>> >            Failed to download ELF file
>> > 
>> >       ERROR(1053): UNABLE to Read Elf File. The Elf File 
>> Maybe Corrupted
>> >           : zImage.elf
>> > Maybe this error is due to the above asumption??. I'll post 
>> this second
>> > one on xilinx-support maybe it's realted with my system.....
>> > 
>> > 
>> > 
>> 
>> -- 
>> View this message in context: 
>> http://www.nabble.com/Linux-2.6-from-git.xilinx-and-XUPV2P-tp1
>> 4274035p14299307.html
>> Sent from the linuxppc-embedded mailing list archive at Nabble.com.
>> 
>> _______________________________________________
>> Linuxppc-embedded mailing list
>> [email-masked]
>> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>> 
>> 
> 
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
> 

-- 
View this message in context: http://www.nabble.com/Linux-2.6-from-git.xilinx-and-XUPV2P-tp14274035p14312417.html
Sent from the linuxppc-embedded mailing list archive at Nabble.com.